﻿
Imports Simple_Example.rscmu200


Public Class RSCMU200Example

    Private m_InstrumentBase As rscmu200
    Private m_InstrumentRf As rscmu200
    Private m_BaseHandle As New IntPtr(0)

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click

        Try
            Dim err_message As New System.Text.StringBuilder(256)
            Dim driver_revision As New System.Text.StringBuilder(256)
            Dim fw_revision As New System.Text.StringBuilder(256)
            UseWaitCursor = True

            System.Windows.Forms.Cursor.Current = Cursors.WaitCursor

            m_InstrumentBase = New rscmu200(ResourceDescriptor.Text.Insert(ResourceDescriptor.Text.LastIndexOf("::"), "::0"), IDQuery.Checked, ResetDevice.Checked)
            m_InstrumentBase.Base_RevisionQuery(driver_revision, fw_revision, err_message)
            driverRevision.Text = driver_revision.ToString()
            fwRevision.Text = fw_revision.ToString()
            m_InstrumentBase.Base_SystRemAddrSec(1, rscmu200Constants.AudioNsig, err_message)


            m_InstrumentRf = New rscmu200(ResourceDescriptor.Text.Insert(ResourceDescriptor.Text.LastIndexOf("::"), "::1"), IDQuery.Checked, ResetDevice.Checked)
            m_InstrumentBase.GetInstrumentHandle(m_BaseHandle)
            m_InstrumentRf.initAudioNSig(m_BaseHandle)
            m_InstrumentRf.Audio_NSig_InitAfg2(err_message)

        Catch ex As Exception

            Dim message As String

            message = "m_Instrument Status Error: "
            message += ex.Message
            MessageBox.Show(message)

        Finally
            Try
                m_InstrumentBase.Dispose()
            Catch nex As NullReferenceException
            End Try

            Try
                m_InstrumentRf.Dispose()
            Catch nex As NullReferenceException
            End Try
        End Try

        System.Windows.Forms.Cursor.Current = Cursors.Arrow
        UseWaitCursor = False

    End Sub
End Class
